Summary:	ZenLib C++ utility library
Summary(pl.UTF-8):	ZenLib - biblioteka narzędziowa C++
Name:		libzen
Version:	0.4.33
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://mediaarea.net/download/source/libzen/%{version}/%{name}_%{version}.tar.bz2
# Source0-md5:	cb89f58388acbe2b77d4ef69294bda67
Patch0:		%{name}-include.patch
URL:		http://sourceforge.net/projects/zenlib/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZenLib is a C++ utility library. It includes classes for handling
strings, configuration, bit streams, threading, translation, and
cross-platform operating system functions.

%description -l pl.UTF-8
ZenLib to biblioteka narzędziowa C++. Zawiera klasy do obsługi
łańcuchów znaków, konfiguracji, strumieni bitowych, wątków, tłumaczeń
oraz wieloplatformowe funkcji dotyczące systemu operacyjnego.

%package devel
Summary:	Header files for ZenLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ZenLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ZenLib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ZenLib.

%package static
Summary:	Static ZenLib library
Summary(pl.UTF-8):	Statyczna biblioteka ZenLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ZenLib library.

%description static -l pl.UTF-8
Statyczna biblioteka ZenLib.

%prep
%setup -q -n ZenLib
%undos Source/ZenLib/*.h
%undos *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html
%patch0 -p1

%build
cd Project/GNU/Library
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
%{__make} clean
%{__make}
cd ../../../Source/Doc
doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/Library install \
	DESTDIR=$RPM_BUILD_ROOT

# file omitted by build system
cp -p Source/ZenLib/BitStream_Fast.h $RPM_BUILD_ROOT%{_includedir}/ZenLib

# fix Version tag (0.4.29 contains 0.4.25 as PROJECT_VERSION)
%{__sed} -i -e 's|Version: .*|Version: %{version}|g' $RPM_BUILD_ROOT%{_pkgconfigdir}/libzen.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc History.txt License.txt ReadMe.txt
%attr(755,root,root) %{_libdir}/libzen.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzen.so.0

%files devel
%defattr(644,root,root,755)
# Documentation.html expects Doc/index.html
%doc Source/Doc/Documentation.html Doc
%attr(755,root,root) %{_bindir}/libzen-config
%attr(755,root,root) %{_libdir}/libzen.so
%{_libdir}/libzen.la
%{_includedir}/ZenLib
%{_pkgconfigdir}/libzen.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzen.a
%changelog
* Sun Jun 19 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzen.git;a=log;h=master

* Sun Jun 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> dd81643
- up to 0.4.33

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> cf46260
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 75f5fc1
- obsolete install hacks cleanup

* Sat Mar 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e0fecb
- up to 0.4.29

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 2dd0315
- cleanup

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 28aed47
- cleanups, better descriptions + pl

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bacfefe
- up to 0.4.28

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> 382fb6c
- package include/ZenLib/TinyXml
- rel. 2

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> cfec36c
- updated to 0.4.20
- use undos macro instead of dos2unix (updated BRs)

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 4b81713
- up to 0.4.19

* Sat Feb 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c23d378
- up to 0.4.17

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 6f42a67
- make sure package name and name specified in %files match

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f7b7858
- up to 0.4.15

* Wed Mar 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d70f6e
- up to 0.4.12

* Mon Feb 22 2010 Elan Ruusamäe <glen@pld-linux.org> 2818d97
- typo, unify, adapter

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 86d8270
- up to 0.4.11

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> ed637f9
- BR: autoconf, automake, libtool

* Fri Dec 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 78dc5e3
- initial

